%define version 2.24.0
%define oname pygtk

Summary:	The sources for the PyGTK2 Python extension modules
Name:		pygtk2.0
Version:	%{version}
Release: 	%mkrel 5
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%oname/%oname-%{version}.tar.xz
License:	LGPL
Group:		Development/GNOME and GTK+
BuildRequires:  gtk+2-devel
BuildRequires:	libglade2.0-devel 
BuildRequires:  python-devel
BuildRequires:  python-numeric
BuildRequires:  python-gobject
BuildRequires:  python-cairo
BuildRequires:  gnome-common
BuildRequires:  gtk-doc
BuildRequires:  libxslt-proc
BuildRequires:  python-numpy-devel
BuildRequires:	python-cairo-devel
BuildRoot:	%_tmppath/%name-%version-root
URL:		http://www.daa.com.au/~james/software/pygtk/
Summary:	Python bindings for the GTK+2 widget set
Group:		Development/GNOME and GTK+
Requires:  	python-gobject
Requires:  	python-cairo
Requires:	python-numpy
Conflicts:	pygtk < 0.6.11
Provides: 	%name-wrapper
Obsoletes:	%name-wrapper
Obsoletes: 	%name < %version
Provides: 	pygtk2 = %version-%release
Provides: 	pygtk = %version-%release


%description
PyGTK is an extension module for python that gives you access to the GTK+
widget set.  Just about anything you can write in C with GTK+ you can write
in python with PyGTK (within reason), but with all of python's benefits.

This new release includes GTK2 support.


%package devel
Version: %{version}
Summary: Files needed to build wrappers for GTK+ addon libraries
Group: Development/Libraries
Requires: %name = %{version}
Requires: gtk2-devel
Requires: python-devel >= %{pyver}
Requires: python-cairo-devel
Requires: python-gobject-devel >= 2.15.0
Provides: pygtk2-devel = %version-%release

%description devel
This package contains files required to build wrappers for GTK+ addon
libraries so that they interoperate with pygtk.

This new release includes GTK2 support.

%package libglade
Version:	%{version}
Summary:	A wrapper for the libglade library for use with PyGTK
Group:		System/Libraries
Requires: 	%name = %version
Provides:	pygtk2-libglade = %version-%release
Provides:	pygtk-libglade = %version-%release


%description libglade
This module contains a wrapper for the libglade library.  Libglade is a
library similar to the pyglade module, except that it is written in C (so
is faster) and is more complete.

%package demos
Version:	%{version}
Summary:	Examples and demos for %{name}
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description demos
This package contains example programs and demos for %{name}.

%prep
%setup -q -n pygtk-%{version}

%build
%configure2_5x  --enable-thread --enable-numpy --disable-static
%make LIBS="-lpython%{py_ver}"

%install
rm -rf %{buildroot}
%makeinstall_std

#(tpg) remove svn form docs
rm -rf `find -name .svn` %{buildroot}%{_docdir}
find %{buildroot} -name '*.la' | xargs rm

rm -rf `find -name .svn` %{buildroot}%{_docdir}


%files
%defattr(-,root,root)
%doc AUTHORS NEWS README MAPPING ChangeLog 
%dir %{py_platsitedir}/gtk-2.0/gtk/
%{py_platsitedir}/gtk-2.0/gtk/*.py*
%{py_platsitedir}/gtk-2.0/gtk/_*.so
%{py_platsitedir}/gtk-2.0/gtkunixprint*
%{py_platsitedir}/gtk-2.0/atk*.so
%{py_platsitedir}/gtk-2.0/pango*.so

%files libglade
%defattr(-,root,root)
%{py_platsitedir}/gtk-2.0/gtk/glade.so

%files devel
%defattr(-,root,root)
%_bindir/pygtk-codegen-2.0
%{_includedir}/pygtk-2.0/*
%dir %{_datadir}/pygtk
%dir %{_datadir}/pygtk/2.0
%dir %{_datadir}/pygtk/2.0/defs
%{_datadir}/pygtk/2.0/defs/*.defs
%{_datadir}/pygtk/2.0/defs/pangocairo.override
%{_libdir}/pkgconfig/pygtk-2.0.pc
%{_datadir}/gtk-doc/html/pygtk/

%files demos
%defattr(644,root,root,755)
%doc examples/{atk,glade,gobject,gtk,ide,pango,simple}
%dir %{_libdir}/pygtk/2.0/demos
%dir %{_libdir}/pygtk/2.0/demos/images
%attr(755,root,root) %{_bindir}/pygtk-demo
%attr(755,root,root) %{_libdir}/pygtk/2.0/pygtk-demo.py
%{_libdir}/pygtk/2.0/pygtk-demo.py[co]
%attr(755,root,root) %{_libdir}/pygtk/2.0/demos/*.py
%{_libdir}/pygtk/2.0/demos/*.py[co]
%{_libdir}/pygtk/2.0/demos/images/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Apr 28 2018 bb2 <bb2> - 2.24.0-5pclos2018
- rebuild against updates

* Sat Aug 10 2013 billybot <billybot> 2.24.0-4pclos2013
- update
